Core Weather

Location Key


Current conditions by location key

GET
https://dataservice.accuweather.com
/currentconditions/v1/{locationKey}

Retrieves the current weather conditions for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

Current conditions by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

Current conditions by location key › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
getPhotos
​boolean

A boolean value that specifies whether or not to include photos representing the requested location and current weather.

Default: false

Current conditions by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Current conditions by location key › Responses

OK

LocalObservationDateTime
​string · date-time · required

The date and time at which the data was collected, displayed in ISO 8601 format (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochTime
​integer · int64 · required

The date and time at which the data was collected, displayed as the number of seconds that have elapsed since midnight UTC/GMT on January 1, 1970.

WeatherText
​string · minLength: 1 · required

A phrase describing the current weather conditions in the specified language.

WeatherIcon
​integer · int32 · required

A numeric value representing an image that displays the phrase returned in the WeatherText parameter.

HasPrecipitation
​boolean · required

A flag indicating the presence or absence of precipitation. A true response indicates precipitation, false indicates no precipitation.

PrecipitationType
​string · minLength: 1 · required

The type of precipitation, if any. Possible values are Rain, Snow, Ice, Mixed, or Null for no precipitation.

IsDayTime
​boolean · required

A boolean flag that indicates the day/night status. True at daytime, false at nighttime.

​required

An object containing information about the observed air temperature at the requested location with a rounded value for Fahrenheit and Celsius. The object may be NULL.

MobileLink
​string · minLength: 1 · required

Link to current conditions on AccuWeather's mobile site for the requested location.

Link
​string · minLength: 1 · required

Link to current conditions on AccuWeather's free site for the requested location.

​

An object containing the AccuWeather patented RealFeel™ temperature with a rounded value for Fahrenheit or Celsius. The object may be NULL.

​

An object containing the AccuWeather patented RealFeel™ shade temperature with a rounded value for Fahrenheit or Celsius. The object may be NULL.

RelativeHumidity
​integer · int32

A measure of moisture in the air, expressed as a percentage of the maximum amount possible at the same temperature.

IndoorRelativeHumidity
​integer | null · int32

A measure of moisture in the air inside a typical heated home, expressed as a percentage of the maximum amount possible at the same temperature. At temperatures above 68°F this is set to the outdoor relative humidity.

​

The temperature at which the humidity in the air will begin to condense on surfaces. The object contains a rounded value for Fahrenheit and Celsius. The object may be NULL.

​

An object containing wind direction and speed information with a rounded value for Miles per hour and Kilometer per hour. The object may be NULL.

​

An object containing information about the maximum short-burst wind speed with a rounded value for Miles per hour and Kilometer per hour. The object may be NULL.

UVIndex
​integer | null · int32

A numerical value that indicates the sun's measured ultraviolet radiation strength.

UVIndexFloat
​number | null · float

A decimal value that indicates the sun's measured ultraviolet radiation strength.

UVIndexText
​string | null

A brief UV index status description.

​

An object containing information about visibility distance with a rounded value for Miles and Kilometer. The object may be NULL.

ObstructionsToVisibility
​string | null

The visibility distance's limiting factor.

CloudCover
​integer | null · int32

A number representing the percentage of the sky that is covered by clouds. May be NULL.

​

An object containing information about the cloud base elevation with a rounded value for Feet and Meter. The object may be NULL.

​

An object containing information about the measured air pressure at ground level with a rounded value for Inches of Mercury and Millibar. The object may be NULL.

​

An object containing information about the atmospheric pressure change.

​

An object containing information about departure from the temperature observed 24 hours ago with rounded values for Fahrenheit and Celsius. The object may be NULL.

​

An object containing information about perceived air temperature on exposed skin due to wind with rounded values for Fahrenheit and Celsius. The object may be NULL.

​

The temperature to which air may be cooled by evaporating water into it at constant pressure until it reaches saturation. An object containing a rounded value for Fahrenheit and Celsius. The object may be NULL.

​

A temperature value that indicates heat stress on the human body in direct sunlight based on temperature, humidity, wind speed, sun angle, and cloud cover. An object containing a rounded value for Fahrenheit and Celsius. The object may be NULL.

​

Amount of liquid water equivalent of precipitation that has fallen in the past hour. An object containing a rounded value for Inch and Millimeter. The object may be NULL.

​

Summary of precipitation amounts over the past 24 hours, in 3-hour increments.

​

Summary of temperature fluctuations over the past 6, 12, and 24 hours.

​

Perceived outdoor temperature from combined air temperature and humidity. Works across both hot and cold conditions, computed via the RAPP 16-term polynomial. An object containing a rounded value for Fahrenheit and Celsius. The object may be NULL.

​

Perceived outdoor temperature from combined air temperature and humidity. Valid in hot conditions (≥80 °F), computed via the NWS Rothfusz 9-term equation. An object containing a rounded value for Fahrenheit and Celsius. The object may be NULL.